<?php

include("connexion_db.php");

// Verification de la persistance des données
//	if ($_SERVER['REQUEST_METHOD'] === 'POST' &&
//		isset($_POST['idDocteur']) && isset($_POST['idGrille']) && isset($_POST['idEtablissement']) &&
//		isset($_POST['nbLvlGrille']) && isset($_POST['lvlCliniMin']) && isset($_POST['lvlCliniMax']) &&
//		isset($_POST['lvlGrilleMin']) && isset($_POST['lvlGrilleMax']) &&
//		isset($_POST['nomPatient']) &&
//		isset($_POST['prenomPatient']) &&
//		isset($_POST['sexePatient']) &&
//		isset($_POST['naissancePatient']) &&
//		isset($_POST['dossierPatient']) &&
//		isset($_POST['chambrePatient']) &&
//		isset($_POST['adressePatient']) &&
//		isset($_POST['villePatient'])) {
if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    $idDocteur = $_POST['idDocteur'];

    $idEtablissement = $_POST['idEtablissement'];
    $idGrille = $_POST['idGrille'];
    $nbGrille = $_POST['nbGrille'];
    $nbLvlGrille = $_POST['nbLvlGrille'];
    $lvlCliniMin = $_POST['lvlCliniMin'];
    $lvlCliniMax = $_POST['lvlCliniMax'];
    $lvlGrilleMin = $_POST['lvlGrilleMin'];
    $lvlGrilleMax = $_POST['lvlGrilleMax'];
    $nomPatient = $_POST['nomPatient'];
    $prenomPatient = $_POST['prenomPatient'];
    $sexePatient = $_POST['sexePatient'];
    $naissancePatient = $_POST['naissancePatient'];
    $dossierPatient = $_POST['dossierPatient'];
    $chambrePatient = $_POST['chambrePatient'];
    $adressePatient = $_POST['adressePatient'];
    $villePatient = $_POST['villePatient'];

    // On vérifie que ce patient n'existe pas déjà (nom, prenom, age)
    $sql = "SELECT * FROM patient WHERE UPPER(nom) = UPPER('" . $nomPatient . "') AND UPPER(prenom) = UPPER('" . $prenomPatient . "') AND date_naissance = '" . $naissancePatient . "'";
    $req = cleanPDOQuery($sql);
    $nb = $req->rowCount();

    if ($nb == 0) {
        // On ajoute un patient

        

        $sql_ = "INSERT INTO patient(id_docteur, sexe, nom, prenom, date_naissance, adresse, ville, chambre, num_dossier) VALUES(" . $idDocteur . ", '" . $sexePatient . "', '" . $nomPatient . "', '" . $prenomPatient . "', '" . $naissancePatient . "', '" . $adressePatient . "', '" . $villePatient . "', '" . $chambrePatient . "', '" . $dossierPatient . "')";
        $req_ = cleanPDOQuery($sql_);
        $resultat['sql_insert'] = $sql_;

        // On récupère l'id associé
        $sql = "SELECT id FROM patient ORDER BY id DESC";
        $req = cleanPDOQuery($sql);
        $res = $req->fetch();

        $idPatient = $res['id'];

        for ($i=1; $i <= $nbGrille; $i++) { 
            $sql5 = "SELECT * FROM grillesfonctions WHERE id_grille = '" . $i . "'  ORDER BY ordre ASC, id ASC";
            $req5 = cleanPDOQuery($sql5);
            $fonction = '';

            while ($res5 = $req5->fetch()) {
                $fonction[] = $res5['id_fonction'];
            }
            $sql_init = "INSERT INTO caca(id_grille,id_champ,valeur,id_patient,id_docteur,id_etablissement,date) values(0,0,0,'".$idPatient. "','".$idDocteur."','".$idEtablissement."',now());";
            $pp = cleanPDOQuery($sql_init);

            $sqlIn ="";
            foreach($fonction as $j){ 
                $sqlIn .= "INSERT INTO caca(id_grille,id_champ,valeur,id_patient,id_docteur,id_etablissement,date) values('".$i."','".$j."',0,'". $idPatient . "', '" . $idDocteur . "', '" . $idEtablissement . "', now() );";
                
                $resultat['sql_creation']=$sqlIn;
             }
             $req = cleanPDOQuery($sqlIn);

        }


        $resultat['valeurclinimetre'] = $lvlCliniMin;
        $resultat['valeurgrille'] = $lvlGrilleMin;


        // On met à jour le dernier patient du docteur
        $sql = "UPDATE docteur SET id_patient = " . $idPatient . " WHERE id = " . $idDocteur;
        $req = cleanPDOQuery($sql);

        $resultat['id'] = $idPatient;
        $resultat['etat'] = 'ok';

    } else {
        $resultat['etat'] = 'nok';
        echo "<script> alert('Patient existe deja !!') </script>";
    }

    header('Content-Type: application/json');
    echo json_encode($resultat);

}


?>